#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_custom_target( kscons_tdemdi.tar.gz ALL
  COMMAND ${TAR} zcf kscons_tdemdi.tar.gz -C ${CMAKE_CURRENT_SOURCE_DIR}
    app.kcfg app.kdevelop apptdemdi.cpp apptdemdi.h apptdemdiView.cpp
    apptdemdiView.h INSTALL tdemdikonsole.cpp tdemdikonsole.h
    main.cpp messages.sh prefs.ui QUICKSTART README
    SConscript-doc SConscript-src SConstruct settings.kcfgc
    tips VERSION app_part.cpp app_part.h app_part.rc
    app_shell.rc
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kscons_tdemdi.tar.gz kscons_tdemdi.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


install( FILES
    kscons_tdemdi.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates )
